installation noyau

Le
mess-mate
Bonjour,

après compilation de mon nouveau noyau, voulant l'installer avec dpkg
j'ai l'erreur suivante:

dpkg: warning: obsolete option '--print-installation-architecture',
please use '--print-architecture' instead

Selon quelques recherches ce serait un bug ? (squeeze)


Il y a une solution ?

merci d'avance

amicalement


PS: le message n'a pas passé ?


--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers debian-user-french-REQUEST@lists.debian.org
En cas de soucis, contactez EN ANGLAIS listmaster@lists.debian.org
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses Page 1 / 2
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
David DUPONT
Le #20416601
--0016e6d27909e57218047698f6c1
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable

Que te donnes dpkg -print-architecture ? Que te donne apt-config dump ?

2009/10/23 mess-mate
Bonjour,

après compilation de mon nouveau noyau, voulant l'installer avec dpkg
j'ai l'erreur suivante:

dpkg: warning: obsolete option '--print-installation-architecture',
please use '--print-architecture' instead

Selon quelques recherches ce serait un bug ? (squeeze)


Il y a une solution ?

merci d'avance

amicalement


PS: le message n'a pas passé ?


--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS





--0016e6d27909e57218047698f6c1
Content-Type: text/html; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable

Que te donnes dpkg -print-architecture ? Que te donne apt-config dump ? Bonjour,<br>
<br>
après compilation de mon nouveau noyau, voulant l&#39;installer avec dpkg <br>
j&#39;ai l&#39;erreur suivante:<br>
<br>
dpkg: warning: obsolete option &#39;--print-installation-architecture&#39;, <br>
please use &#39;--print-architecture&#39; instead<br>
<br>
Selon quelques recherches ce serait un bug ? (squeeze)<br>
<br>
<br>
Il y a une solution ?<br>
<br>
merci d&#39;avance<br>
<br>
amicalement<br>
<br>
<br>
PS: le message n&#39;a pas passé ?<br><font color="#888888">
<br>
<br>
-- <br>
Lisez la FAQ de la liste avant de poser une question :<br>
``spam&#39;&#39; dans vos champs &quot;From&quot; et &quot;Reply-To:&quot;< br>
<br>
Pour vous DESABONNER, envoyez un message avec comme objet &quot;unsubscribe &quot;<br>
vers En cas de soucis, contactez EN ANGLAIS <br>
</font></blockquote></div><br>

--0016e6d27909e57218047698f6c1--

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Sylvain Faivre
Le #20417441
Bonjour,

J'ai le même message avec le kernel du dépôt debian sur une config
mixte testing/unstable, et tout fonctionne bien (c'est juste un
warning).
Donc cela n'est pas spécifique au noyau que tu as compilé, et n'a pas
forcément d'impact.

Sylvain.


2009/10/23 mess-mate
Bonjour,

après compilation de mon nouveau noyau, voulant l'installer avec dpkg
j'ai l'erreur suivante:

dpkg: warning: obsolete option '--print-installation-architecture',
please use '--print-architecture' instead

Selon quelques recherches ce serait un bug ? (squeeze)


Il y a une solution ?

merci d'avance

amicalement


PS: le message n'a pas passé ?


--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS





--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
thveillon.debian
Le #20417431
David DUPONT a écrit :
Dans un premier temps je déinstallerais puis réinstallerais dpkg via apt-get



WTF !?


2009/10/23 mess-mate
David DUPONT wrote:

Que te donnes dpkg -print-architecture ? Que te donne apt-config
dump ?

2009/10/23 mess-mate

Bonjour,

aprčs compilation de mon nouveau noyau, voulant l'installer
avec dpkg

j'ai l'erreur suivante:

dpkg: warning: obsolete option
'--print-installation-architecture',
please use '--print-architecture' instead

Selon quelques recherches ce serait un bug ? (squeeze)


Il y a une solution ?

merci d'avance

amicalement





Ça ressemble à un simple "deprecation warning", un avertissement dû au
fait qu'un script utilise une option obsolète. Mais l'option en question
est malgré tout "traduite" et exécutée, ça ne prête pas à conséquence,
et l'avertissement est plutôt destiné au mainteneur du paquet concerné
qu'à l'utilisateur final.

Il y a le même type d'avertissement si on utilise "update-grub" avec
grub2 au lieu du nouveau "grub-mkconfig".

Je ne pense vraiment pas que ça nécessite d'essayer de "désinstaller
dpkg"...

Tom

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
mess-mate
Le #20417351
thveillon.debian wrote:

mess-mate a écrit :



2009/10/23 mess-mate
David DUPONT wrote:

Que te donnes dpkg -print-architecture ? Que te donne apt-config
dump ?

2009/10/23 mess-mate

Bonjour,

aprčs compilation de mon nouveau noyau, voulant l'installer
avec dpkg

j'ai l'erreur suivante:

dpkg: warning: obsolete option
'--print-installation-architecture',
please use '--print-architecture' instead

Selon quelques recherches ce serait un bug ? (squeeze)


Il y a une solution ?

merci d'avance

amicalement






thveillon.debian wrote:
Ça ressemble à un simple "deprecation warning", un avertissement dû au
fait qu'un script utilise une option obsolète. Mais l'option en question
est malgré tout "traduite" et exécutée, ça ne prête pas à conséquence,
et l'avertissement est plutôt destiné au mainteneur du paquet concerné
qu'à l'utilisateur final.

Il y a le même type d'avertissement si on utilise "update-grub" avec
grub2 au lieu du nouveau "grub-mkconfig".

Je ne pense vraiment pas que ça nécessite d'essayer de "désinstaller
dpkg"...

Tom





Attention, ce n'est pas qu'un simple warning. Le processus
(l'installation) s'arrête tout simplement de suite sans autre mesure.






D'après la sortie que tu donnes le processus continue au-delà :

"Unpacking replacement linux-doc-2.6.30-amd64-2-mm ...
Setting up linux-doc-2.6.30-amd64-2-mm (2.6.30-amd64-2-mm-10.00.Custom) ...
dpkg: warning: obsolete option '--print-installation-architecture',
please use '--print-architecture' instead.
Examining /etc/kernel/doc_postinst.d."


Le problème doit venir de la suite. C'est un noyau compilé maison avec
kernel-package ? (je n'ai pas suivi le début du fil, désolé)

Si c'est le cas à partir de Squeeze il y a un peu de travail manuel à
l'installation de kernel-package, en particulier copier (et adapter si
nécessaire) les scripts dont on a besoin depuis
/usr/share/kernel-package/examples/etc/kernel/* dans /etc/kernel/*.


Tom




Merci, en effet cela me semble nécessaire.
Mais il y a aussi pkg qui utilise ce fameux

--print-installation-architecture

donc je pense que aussi longtemps que ce dernier ne soit pas adapté ( où
???) l'installation n'est pas possible ?



--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
mess-mate
Le #20416811
Sylvain Faivre wrote:

Bonjour,

J'ai le même message avec le kernel du dépôt debian sur une config
mixte testing/unstable, et tout fonctionne bien (c'est juste un
warning).
Donc cela n'est pas spécifique au noyau que tu as compilé, et n'a pas
forcément d'impact.

Sylvain.


2009/10/23 mess-mate
Bonjour,

après compilation de mon nouveau noyau, voulant l'installer avec dpkg
j'ai l'erreur suivante:

dpkg: warning: obsolete option '--print-installation-architecture',
please use '--print-architecture' instead

Selon quelques recherches ce serait un bug ? (squeeze)


Il y a une solution ?

merci d'avance

amicalement


PS: le message n'a pas passé ?


--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS









En effet, il s'installe malgré le warning.
J'ai cependant due enlever la partie lilo dans le
/etc/postinst.d/symlink_hook




--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
mess-mate
Le #20416781
David DUPONT wrote:

Que te donnes dpkg -print-architecture ? Que te donne apt-config dump ?

2009/10/23 mess-mate
Bonjour,

après compilation de mon nouveau noyau, voulant l'installer avec dpkg
j'ai l'erreur suivante:

dpkg: warning: obsolete option '--print-installation-architecture',
please use '--print-architecture' instead

Selon quelques recherches ce serait un bug ? (squeeze)


Il y a une solution ?

merci d'avance

amicalement


PS: le message n'a pas passé ?


--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet
"unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS




Voilà:
dpkg -print-architecture
dpkg: conflicting actions -r (--remove) and -p (--print-avail)
et:
apt-config dump
PT::Architecture "amd64";




--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
mess-mate
Le #20416771
Sylvain Faivre wrote:

Bonjour,

J'ai le même message avec le kernel du dépôt debian sur une config
mixte testing/unstable, et tout fonctionne bien (c'est juste un
warning).
Donc cela n'est pas spécifique au noyau que tu as compilé, et n'a pas
forcément d'impact.

Sylvain.


2009/10/23 mess-mate
Bonjour,

après compilation de mon nouveau noyau, voulant l'installer avec dpkg
j'ai l'erreur suivante:

dpkg: warning: obsolete option '--print-installation-architecture',
please use '--print-architecture' instead

Selon quelques recherches ce serait un bug ? (squeeze)


Il y a une solution ?

merci d'avance

amicalement


PS: le message n'a pas passé ?


--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS









Voici l'output:

Unpacking replacement linux-doc-2.6.30-amd64-2-mm ...
Setting up linux-doc-2.6.30-amd64-2-mm (2.6.30-amd64-2-mm-10.00.Custom) ...
dpkg: warning: obsolete option '--print-installation-architecture',
please use '--print-architecture' instead.
Examining /etc/kernel/doc_postinst.d.



--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
thveillon.debian
Le #20416951
>mess-mate a écrit :

2009/10/23 mess-mate
David DUPONT wrote:

Que te donnes dpkg -print-architecture ? Que te donne apt-config
dump ?

2009/10/23 mess-mate

Bonjour,

aprčs compilation de mon nouveau noyau, voulant l'installer
avec dpkg

j'ai l'erreur suivante:

dpkg: warning: obsolete option
'--print-installation-architecture',
please use '--print-architecture' instead

Selon quelques recherches ce serait un bug ? (squeeze)


Il y a une solution ?

merci d'avance

amicalement






thveillon.debian wrote:
Ça ressemble à un simple "deprecation warning", un avertissement dû au
fait qu'un script utilise une option obsolète. Mais l'option en question
est malgré tout "traduite" et exécutée, ça ne prête pas à conséquence,
et l'avertissement est plutôt destiné au mainteneur du paquet concerné
qu'à l'utilisateur final.

Il y a le même type d'avertissement si on utilise "update-grub" avec
grub2 au lieu du nouveau "grub-mkconfig".

Je ne pense vraiment pas que ça nécessite d'essayer de "désinstaller
dpkg"...

Tom




Attention, ce n'est pas qu'un simple warning. Le processus
(l'installation) s'arrête tout simplement de suite sans autre mesure.





D'après la sortie que tu donnes le processus continue au-delà :

"Unpacking replacement linux-doc-2.6.30-amd64-2-mm ...
Setting up linux-doc-2.6.30-amd64-2-mm (2.6.30-amd64-2-mm-10.00.Custom) ...
dpkg: warning: obsolete option '--print-installation-architecture',
please use '--print-architecture' instead.
Examining /etc/kernel/doc_postinst.d."


Le problème doit venir de la suite. C'est un noyau compilé maison avec
kernel-package ? (je n'ai pas suivi le début du fil, désolé)

Si c'est le cas à partir de Squeeze il y a un peu de travail manuel à
l'installation de kernel-package, en particulier copier (et adapter si
nécessaire) les scripts dont on a besoin depuis
/usr/share/kernel-package/examples/etc/kernel/* dans /etc/kernel/*.


Tom

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
mess-mate
Le #20416911
Pascal Hambourg wrote:

Salut,

mess-mate a écrit :

dpkg: warning: obsolete option '--print-installation-architecture',
please use '--print-architecture' instead






Il s'agit d'un simple avertissement au sujet d'une option obsolète
depuis 2005 (et plus documentée dans l'aide en ligne ni la page de
manuel) et qui finira par être supprimée dans une future version de
dpkg. Cet avertissement a été ajouté dans la version 1.15.1 de dpkg,
entre la version de lenny et la version actuelle de squeeze. Le but est
notamment d'avertir les utilisateurs et développeurs de logiciels qui
l'utilisent encore de la remplacer par son équivalent
"--print-architecture".



PS: le message n'a pas passé ?






Si, je le vois.


dpkg -print-architecture
dpkg: conflicting actions -r (--remove) and -p (--print-avail)




C'est "--print-architecture" avec deux tirets.




En effet, j'avais tout simplement fait un copy/paste.
L'ouput est 'amd64'
amicalement



--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
mess-mate
Le #20417291
thveillon.debian wrote:

David DUPONT a écrit :

Dans un premier temps je déinstallerais puis réinstallerais dpkg via apt-get




WTF !?



2009/10/23 mess-mate
David DUPONT wrote:

Que te donnes dpkg -print-architecture ? Que te donne apt-config
dump ?

2009/10/23 mess-mate

Bonjour,

aprčs compilation de mon nouveau noyau, voulant l'installer
avec dpkg

j'ai l'erreur suivante:

dpkg: warning: obsolete option
'--print-installation-architecture',
please use '--print-architecture' instead

Selon quelques recherches ce serait un bug ? (squeeze)


Il y a une solution ?

merci d'avance

amicalement






Ça ressemble à un simple "deprecation warning", un avertissement dû au
fait qu'un script utilise une option obsolète. Mais l'option en question
est malgré tout "traduite" et exécutée, ça ne prête pas à conséquence,
et l'avertissement est plutôt destiné au mainteneur du paquet concerné
qu'à l'utilisateur final.

Il y a le même type d'avertissement si on utilise "update-grub" avec
grub2 au lieu du nouveau "grub-mkconfig".

Je ne pense vraiment pas que ça nécessite d'essayer de "désinstaller
dpkg"...

Tom




Attention, ce n'est pas qu'un simple warning. Le processus
(l'installation) s'arrête tout simplement de suite sans autre mesure.



--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Publicité
Poster une réponse
Anonyme